Package org.codehaus.groovy.runtime.wrappers

# Class LongWrapper

java.lang.Object
org.codehaus.groovy.runtime.wrappers.Wrapper
org.codehaus.groovy.runtime.wrappers.PojoWrapper
org.codehaus.groovy.runtime.wrappers.LongWrapper

All Implemented Interfaces:
  `GroovyObject`

public class LongWrapper extends PojoWrapper

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.wrappers.PojoWrapper

  `delegate, wrapped`

  ### Fields inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper

  `constrainedType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongWrapper(long wrapped)`

- ## Method Summary

  ### Methods inherited from class org.codehaus.groovy.runtime.wrappers.PojoWrapper

  `getDelegatedMetaClass, getProperty, getWrapped, invokeMethod, setMetaClass, setProperty, unwrap`

  ### Methods inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper

  `getMetaClass, getType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LongWrapper

    public LongWrapper(long wrapped)